Introduction

The Digital Frog 2.5 had  a problem with the Fast Find feature that could not be fixed with an internet update, so we took the opportunity to upgrade to Mac OSX Intel and to Vista before releasing The Digital Frog 2.5a.

Installation

Installation instructions for The Digital Frog 2.5(a) can be found in the booklet that accompanies your copy of the CD-ROM.

Minimum Requirements

The Digital Frog 2.5(a) requires a system that meets at least these minimum requirements:

  • Windows 2000, XP, Windows 7 or Vista (32 bit)
    (some features may not work in the 64 bit version of Vista)
  • 32 MB of RAM (64 or more recommended)
  • 75 MB of hard drive space for QuickTime
  • 1024 x 768 screen resolution

Updating

The Digital Frog 2.5(a) can receive updates directly from the internet.

If you have an active internet connection the Digital Frog 2.5(a) will check for updates when you launch the program. Updates, if any, will be downloaded automatically and placed in System folder:Preferences:cache-cache:The Digital Frog 2.5.

Networking

The Digital Frog 2.5(a) does not ship with a license to run on a network. A network license must be purchased from Digital Frog International or one of our distributors.

Server requirements

    10 Mb/s network connection or better

    630 MB of free hard drive space for The Digital Frog 2.5(a) application and media

If you encounter problems while running one of Digital Frog International's software titles on your network, please email us for more help.

Troubleshooting

You receive an "iShell has encountered a problem" message or experience display problems

Some users have reported problems such as an "iShell has encountered a problem" message or strange display problems when running the program. These problems were the result of corrupted QuickTime files, which are easily rectified by uninstalling QuickTime and reinstalling from the program disc.

If you have trouble uninstalling QuickTime, check out this article on QuickTime Windows troubleshooting tips from Apple's web site.

Or, try the following;

 

When I launch the program, I get an error saying QuickTime is required even though I have the latest version of QuickTime already installed.
You may encounter this message when you first launch the program if you have the latest version of QuickTime. We are working on a fix for this. In the meantime, we have a separate page outlining a workaround that allows you to run the program normally.

 

Some of the pages in the student workbook contain answer keys
Some copies of The Digital Frog 2.5 shipped with an incorrect version of the workbook that included answer keys on some of the student pages. A replacement of the student workbook can be downloaded below in PDF format (readable with Adobe Acrobat Reader, which is included on the CD or can be downloaded from Adobe's website).

The Digital Frog 2.5 student workbook

 

If you encounter a problem that isn't covered here, please email or contact us us for more help.